PortInfo (Java Platform SE 8 )
Keywords: javax.xml.ws.handler.PortInfo interface
Date: 2026-06-25

javax.xml.ws.handler

## Interface PortInfo

-     public interface PortInfo

  The `PortInfo` interface is used by a `HandlerResolver` to query information about the port it is being asked to create a handler chain for.

  This interface is never implemented by an application, only by a JAX-WS implementation.

  Since:
    JAX-WS 2.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getBindingID()` Gets the URI identifying the binding used by the port being accessed.
    `QName` | `getPortName()` Gets the qualified name of the WSDL port being accessed.
    `QName` | `getServiceName()` Gets the qualified name of the WSDL service name containing the port being accessed.

- - ### Method Detail

    - #### getServiceName

          QName getServiceName()

      Gets the qualified name of the WSDL service name containing the port being accessed.
      Returns:
        javax.xml.namespace.QName The qualified name of the WSDL service.

    - #### getPortName

          QName getPortName()

      Gets the qualified name of the WSDL port being accessed.
      Returns:
        javax.xml.namespace.QName The qualified name of the WSDL port.

    - #### getBindingID

          String getBindingID()

      Gets the URI identifying the binding used by the port being accessed.
      Returns:
        String The binding identifier for the port.
      See Also:
        `Binding`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.